Bug 474172 - kpackagekit-smart-icon has a memory-leak (if no network connection is there)
kpackagekit-smart-icon has a memory-leak (if no network connection is there)
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-02 11:22 EST by Christof Kaelin
Modified: 2009-02-27 08:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-27 08:41:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christof Kaelin 2008-12-02 11:22:54 EST
Description of problem:
kpackagekit-smart-icon (if enabled and running of course) is consuming more and more memory over time on my notebook (Thinkpad X61s) if there is no WLAN network available. This is even if there is no interface at all (disabled WLAN by hardware switch). I can only guess, if it maybe buffers tons of error messages (for example "cannot connect" or so) in heap?

Version-Release number of selected component (if applicable):

How reproducible:
Let it run for an hour or so and watch top (Virt size up to 2G)

Steps to Reproduce:
1. Disable network somehow
2. Wait for kpackagekit-smart-icon to run
3. Watch top (sorted by Virt size)
Actual results:
Growing virt size until even Swap is being used.

Expected results:
Should be the same size with and without network.

Additional info:
Comment 1 Steven M. Parrish 2009-01-09 08:27:15 EST
I have reported this upstream and the devs should have a new release out soon.  Will keep you updated.
Comment 2 Christof Kaelin 2009-02-27 08:41:40 EST
This one is resolved for me, after some tests today. Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.